
import mcujavasource.mcu.*;

/** Tutorial 1: simple program without interrupts. 
* Two LEDs flash one after another.
* LED's anode is connected to +5V through 330 Ohm resistor, 
* cathode - to MCU port.
*/
public class Tutorial1 extends Microcontroller
{
  /** Pin of the first LED, PB1 */
  private final Pin led1 = getHardware().getPort("B").getPin(1);
  
  /** Pin of the second LED, PB0 */
  private final Pin led2 = getHardware().getPort("B").getPin(0);
  
  public void init()
  { // setting all pins to input
	getHardware().setAllPortsDirection(Pin.IN);
	// enabling pull-ups on each pin
	getHardware().setAllPortsPullUp(true);
	led1.setDirection(Pin.OUT);
	// led1 is initially turned on
	led1.setOutput(Pin.LOW);
	led2.setDirection(Pin.OUT);
	led2.setOutput(Pin.HIGH);
  }
  
  public void start()
  { Delay delay = getHardware().getDelay();
	while(true)
	{ led2.setOutput(Pin.HIGH);
	  led1.setOutput(Pin.LOW);
	  // pause 1 second
	  delay.sleep(1000);
	  led1.setOutput(Pin.HIGH);
	  led2.setOutput(Pin.LOW);
	  delay.sleep(1000);
	}
  }
  
}
